summaryrefslogtreecommitdiff
path: root/http/bin
diff options
context:
space:
mode:
Diffstat (limited to 'http/bin')
-rwxr-xr-xhttp/bin/lmtbin0 -> 953744 bytes
-rwxr-xr-xhttp/bin/mkws29
-rwxr-xr-xhttp/bin/ppbin0 -> 805432 bytes
3 files changed, 29 insertions, 0 deletions
diff --git a/http/bin/lmt b/http/bin/lmt
new file mode 100755
index 0000000..e0e19ea
--- /dev/null
+++ b/http/bin/lmt
Binary files differ
diff --git a/http/bin/mkws b/http/bin/mkws
new file mode 100755
index 0000000..252656c
--- /dev/null
+++ b/http/bin/mkws
@@ -0,0 +1,29 @@
+#!/bin/sh -e
+export PATH="$(dirname $(realpath $0)):$PATH"
+
+usage() {
+ >&2 printf "usage: %s url [path]\\n" "$(basename "$0")"
+ exit 1
+}
+
+test $# -lt 1 && usage
+
+export SRC="$(realpath src)"
+export SHARE="$(realpath share)"
+export OUT="$(realpath public)"
+
+if ! test -f "${SRC}"/index.upphtml
+then
+ >&2 printf "no index.upphtml file found\\n"
+ exit 1
+fi
+
+for t in "${SRC}"/*.upphtml
+do
+ echo "Making $(basename "${t%.upphtml}".html)"
+ pp "${SHARE}"/l.upphtml "${t}" "$1" > \
+ "${OUT}/$(basename "${t%.upphtml}".html)"
+done
+
+echo "Making sitemap.xml"
+pp "${SHARE}"/sitemap.uppxml "$1" > "${OUT}"/sitemap.xml
diff --git a/http/bin/pp b/http/bin/pp
new file mode 100755
index 0000000..0b89023
--- /dev/null
+++ b/http/bin/pp
Binary files differ